Subject: Re: [PATCH net-next v2 0/7] net/selftests: TCP-AO selftests updates

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Aug 2024 08:32:26 -0700

On Fri, 2 Aug 2024 08:18:23 -0700 Jakub Kicinski wrote:
> On Fri, 02 Aug 2024 10:23:24 +0100 Dmitry Safonov via B4 Relay wrote:
> > First 4 patches are more-or-less cleanups/preparations.
> > 
> > Patch 5 was sent to me/contributed off-list by Mohammad, who wants 32-bit
> > kernels to run TCP-AO.
> > 
> > Patch 6 is a workaround/fix for slow VMs. Albeit, I can't reproduce
> > the issue, but I hope it will fix netdev flakes for connect-deny-*
> > tests.  
> 
> Hm, could be a coincidence but we did hit:
> 
> # not ok 55 # error 381[unsigned-md5.c:24] Failed to add a VRF: -17
> # not ok 56 # error 383[unsigned-md5.c:33] Failed to add a route to VRF: -22: Key was rejected by service
> 
> https://netdev-3.bots.linux.dev/vmksft-tcp-ao-dbg/results/710001/4-unsigned-md5-ipv6/stdout
> 
> in the first run after this got queued. But the retry worked:
> 
> https://netdev-3.bots.linux.dev/vmksft-tcp-ao-dbg/results/710001/4-unsigned-md5-ipv6-retry/stdout

oooh another run, another (different) flake:
https://netdev-3.bots.linux.dev/vmksft-tcp-ao-dbg/results/710181/11-key-management-ipv4/stdout

I'll keep it around for another run, but looking less and less 
like a coincidence :(